<?xml version="1.0" encoding="utf-8"?>
<flectra>
    <!-- Account -->
    <record model="ir.ui.view" id="inherit_account_invoice_form">
        <field name="name">account.invoice.inherit.form</field>
        <field name="model">account.invoice</field>
        <field name="inherit_id" ref="account.invoice_form"/>
        <field name="priority" eval="20"/>
        <field name="arch" type="xml">
            <xpath expr="//group[@name='left_panel']" position="inside">
                <separator string="Discount"/>
                <field name="discount_method" attrs="{'readonly': ['|', ('origin', '!=', False), ('state', '!=', 'draft')]}"/>
                <field name="discount_amount" attrs="{'readonly': ['|', '|', ('origin', '!=', False), ('state', '!=', 'draft'), ('discount_method', '=', False)], 'invisible': [('discount_method', '=', 'per')]}"/>
                <field name="discount_per" attrs="{'invisible': ['|', ('discount_method', '=', 'fixed'), ('discount_method', '=', False)], 'readonly': ['|', ('origin', '!=', False), ('state', '!=', 'draft')]}"/>
                <button name="calculate_discount" type="object" class="oe_edit_only oe_link" string="(Update Discount)" attrs="{'invisible': [('discount_method', '=', False)]}" confirm="If you want to apply global discount other discount methods will be reset."/>
            </xpath>
            <xpath expr="//field[@name='amount_untaxed']" position="before">
                <field name="gross_amount" widget="monetary" options="{'currency_field': 'currency_id'}"/>
                            <field name="discount" string="Discount"/>
            </xpath>
        </field>
    </record>
</flectra>
